Open Babel: OBSymmetryData Class Reference

Public Member Functions | Protected Attributes

# OBSymmetryData Class Reference

Used to hold the point-group and/or space-group symmetry. More...

`#include <openbabel/generic.h>`

Inheritance diagram for OBSymmetryData:

List of all members.

## Public Member Functions
| OBSymmetryData ()
| OBSymmetryData (const OBSymmetryData &)
virtual OBGenericData * | Clone (OBBase *) const
| ~OBSymmetryData ()
OBSymmetryData & | operator= (const OBSymmetryData &)
void | SetData (std::string pg, std::string sg="")
void | SetPointGroup (std::string pg)
void | SetSpaceGroup (std::string sg)
std::string | GetPointGroup ()
std::string | GetSpaceGroup ()
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
std::string | _spaceGroup
std::string | _pointGroup
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold the point-group and/or space-group symmetry.

Todo:
  Add support for translation between symbol notations. Add symmetry perception routines.

## Constructor & Destructor Documentation

OBSymmetryData | ( | ) |

OBSymmetryData | ( | const OBSymmetryData & | src ) |

~OBSymmetryData | ( | ) | `[inline]`

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

OBSymmetryData & operator= | ( | const OBSymmetryData & | src ) |

void SetData | ( | std::string | pg,
|  | std::string | sg = `""`
| ) |  | `[inline]`

void SetPointGroup | ( | std::string | pg ) | `[inline]`

void SetSpaceGroup | ( | std::string | sg ) | `[inline]`

std::string GetPointGroup | ( | ) | `[inline]`

std::string GetSpaceGroup | ( | ) | `[inline]`

void SetAttribute | ( | const std::string & | v ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

std::string _spaceGroup`[protected]`

Referenced by OBSymmetryData::operator=().

std::string _pointGroup`[protected]`

Referenced by OBSymmetryData::operator=().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBChiralData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), OBConformerData::operator=(), and OBSymmetryData::operator=().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines